<?xml version='1.0' encoding='ISO-8859-1' standalone='no'?>
<!DOCTYPE interface-description SYSTEM 'file:///usr/pkgsrc/lang/oo2c/work.macaroon/oo2c_32-2.0.11/rsrc/OOC/xml/interface-description.dtd'>
<interface-description name='XML:Writer' id=''>
  <oberon-doc>
    <summary>Planned changes for future releases:</summary>
    <p pad-after='yes' no-indent='yes'>Planned changes for future releases:</p>
    <itemize pad-after='yes'>
      <itemize-mark><bullet/></itemize-mark>
      <item pad-after='yes'>
        <p pad-after='no' no-indent='yes'>Rename <oberon-proc href='#WriterDesc.AttrInt'>Writer.AttrInt</oberon-proc> to <samp>AttrLInt</samp>.</p>
      </item>
      <item pad-after='yes'>
        <p pad-after='no' no-indent='yes'>Rename <samp>*I</samp> methods to <samp>*Region</samp>.</p>
      </item>
      <item pad-after='no'>
        <p pad-after='no' no-indent='yes'>Provide methods for writing unquoted text (inherited methods from <oberon-type href='XML:UnicodeBuffer#OutputDesc'>UnicodeBuffer.OutputDesc</oberon-type> are not sufficient, because the writer holds state of start tag).</p>
      </item>
    </itemize>
  </oberon-doc>
  <import-decl name='Object' id='Object' export='no' module='Object'/>
  <import-decl name='IO' id='IO' export='no' module='IO'/>
  <import-decl name='URI' id='URI' export='no' module='URI'/>
  <import-decl name='Codec' id='Codec' export='no' module='XML:UnicodeCodec'/>
  <import-decl name='UnicodeBuffer' id='UnicodeBuffer' export='no' module='XML:UnicodeBuffer'/>
  <type-decl name='Char' id='Char' export='yes'>
    <type>
      <type-name module='#predef' name='LONGCHAR'/>
    </type>
  </type-decl>
  <type-decl name='String' id='String' export='no'>
    <type>
      <pointer>
        <pointer-base>
          <array>
            <element-type>
              <type-name module='#predef' name='Char'/>
            </element-type>
          </array>
        </pointer-base>
      </pointer>
    </type>
  </type-decl>
  <type-decl name='Elements' id='Elements' export='no'>
    <type>
      <pointer>
        <pointer-base>
          <array>
            <element-type>
              <record/>
            </element-type>
          </array>
        </pointer-base>
      </pointer>
    </type>
  </type-decl>
  <import-decl name='-RT0' id='-RT0' export='no' module='RT0'/>
  <import-decl name='-Object' id='-Object' export='no' module='Object'/>
  <import-decl name='-Exception' id='-Exception' export='no' module='Exception'/>
  <class name='Writer'>
    <type-decl name='Writer' id='Writer' export='yes'>
      <type>
        <pointer>
          <pointer-base>
            <type-name name='WriterDesc' href='#WriterDesc'/>
          </pointer-base>
        </pointer>
      </type>
    </type-decl>
    <type-decl name='WriterDesc' id='WriterDesc' export='yes'>
      <oberon-doc>
        <summary>Note: Output is buffered.</summary>
        <p pad-after='yes' no-indent='yes'>Note: Output is buffered.  Calling <oberon-proc href='#WriterDesc.EndOfText'>Writer.EndOfText</oberon-proc> will also flush the buffers.</p>
      </oberon-doc>
      <type>
        <record>
          <field-decl name='baseURI' id='WriterDesc.baseURI' export='read-only'>
            <type>
              <type-name module='URI' name='HierarchicalURI' href='URI#HierarchicalURI'/>
            </type>
          </field-decl>
        </record>
      </type>
    </type-decl>
    <procedure name='Init' id='Init' export='yes'>
      <formal-parameters>
        <parameter-decl name='w' id='Init.w' export='no' variable-parameter='no'>
          <type>
            <type-name name='Writer' href='#Writer'/>
          </type>
        </parameter-decl>
        <parameter-decl name='writer' id='Init.writer' export='no' variable-parameter='no'>
          <type>
            <type-name module='IO' name='ByteChannel' href='IO#ByteChannel'/>
          </type>
        </parameter-decl>
        <parameter-decl name='codecFactory' id='Init.codecFactory' export='no' variable-parameter='no'>
          <type>
            <type-name module='Codec' name='Factory' href='XML:UnicodeCodec#Factory'/>
          </type>
        </parameter-decl>
        <parameter-decl name='writeBOM' id='Init.writeBOM' export='no' variable-parameter='no'>
          <type>
            <type-name module='#predef' name='BOOLEAN'/>
          </type>
        </parameter-decl>
        <parameter-decl name='indentLevel' id='Init.indentLevel' export='no' variable-parameter='no'>
          <type>
            <type-name module='#predef' name='LONGINT'/>
          </type>
        </parameter-decl>
      </formal-parameters>
    </procedure>
    <procedure name='New' id='New' export='yes'>
      <formal-parameters>
        <parameter-decl name='writer' id='New.writer' export='no' variable-parameter='no'>
          <type>
            <type-name module='IO' name='ByteChannel' href='IO#ByteChannel'/>
          </type>
        </parameter-decl>
        <parameter-decl name='codecFactory' id='New.codecFactory' export='no' variable-parameter='no'>
          <type>
            <type-name module='Codec' name='Factory' href='XML:UnicodeCodec#Factory'/>
          </type>
        </parameter-decl>
        <parameter-decl name='writeBOM' id='New.writeBOM' export='no' variable-parameter='no'>
          <type>
            <type-name module='#predef' name='BOOLEAN'/>
          </type>
        </parameter-decl>
        <parameter-decl name='indentLevel' id='New.indentLevel' export='no' variable-parameter='no'>
          <type>
            <type-name module='#predef' name='LONGINT'/>
          </type>
        </parameter-decl>
        <result-type>
          <type-name name='Writer' href='#Writer'/>
        </result-type>
      </formal-parameters>
    </procedure>
    <procedure name='SetBaseURI' id='WriterDesc.SetBaseURI' export='yes'>
      <formal-parameters>
        <receiver-decl name='w' id='WriterDesc.SetBaseURI.w' export='no' variable-parameter='no'>
          <type>
            <type-name name='Writer' href='#Writer'/>
          </type>
        </receiver-decl>
        <parameter-decl name='baseURI' id='WriterDesc.SetBaseURI.baseURI' export='no' variable-parameter='no'>
          <type>
            <type-name module='URI' name='HierarchicalURI' href='URI#HierarchicalURI'/>
          </type>
        </parameter-decl>
      </formal-parameters>
    </procedure>
    <procedure name='SetEmptyElementHTML' id='WriterDesc.SetEmptyElementHTML' export='yes'>
      <formal-parameters>
        <receiver-decl name='w' id='WriterDesc.SetEmptyElementHTML.w' export='no' variable-parameter='no'>
          <type>
            <type-name name='Writer' href='#Writer'/>
          </type>
        </receiver-decl>
        <parameter-decl name='html' id='WriterDesc.SetEmptyElementHTML.html' export='no' variable-parameter='no'>
          <type>
            <type-name module='#predef' name='BOOLEAN'/>
          </type>
        </parameter-decl>
      </formal-parameters>
    </procedure>
    <procedure name='WriteTextDecl' id='WriterDesc.WriteTextDecl' export='yes'>
      <formal-parameters>
        <receiver-decl name='w' id='WriterDesc.WriteTextDecl.w' export='no' variable-parameter='no'>
          <type>
            <type-name name='Writer' href='#Writer'/>
          </type>
        </receiver-decl>
        <parameter-decl name='version' id='WriterDesc.WriteTextDecl.version' export='no' variable-parameter='no'>
          <type>
            <array>
              <element-type>
                <type-name module='#predef' name='CHAR'/>
              </element-type>
            </array>
          </type>
        </parameter-decl>
        <parameter-decl name='standalone' id='WriterDesc.WriteTextDecl.standalone' export='no' variable-parameter='no'>
          <type>
            <array>
              <element-type>
                <type-name module='#predef' name='CHAR'/>
              </element-type>
            </array>
          </type>
        </parameter-decl>
      </formal-parameters>
    </procedure>
    <procedure name='NewLine' id='WriterDesc.NewLine' export='yes'>
      <formal-parameters>
        <receiver-decl name='w' id='WriterDesc.NewLine.w' export='no' variable-parameter='no'>
          <type>
            <type-name name='Writer' href='#Writer'/>
          </type>
        </receiver-decl>
      </formal-parameters>
    </procedure>
    <procedure name='CloseStartTag' id='WriterDesc.CloseStartTag' export='yes'>
      <formal-parameters>
        <receiver-decl name='w' id='WriterDesc.CloseStartTag.w' export='no' variable-parameter='no'>
          <type>
            <type-name name='Writer' href='#Writer'/>
          </type>
        </receiver-decl>
      </formal-parameters>
    </procedure>
    <procedure name='WriteI' id='WriterDesc.WriteI' export='yes'>
      <formal-parameters>
        <receiver-decl name='w' id='WriterDesc.WriteI.w' export='no' variable-parameter='no'>
          <type>
            <type-name name='Writer' href='#Writer'/>
          </type>
        </receiver-decl>
        <parameter-decl name='str' id='WriterDesc.WriteI.str' export='no' variable-parameter='no'>
          <type>
            <array>
              <element-type>
                <type-name module='#predef' name='Char'/>
              </element-type>
            </array>
          </type>
        </parameter-decl>
        <parameter-decl name='s' id='WriterDesc.WriteI.s' export='no' variable-parameter='no'>
          <type>
            <type-name module='#predef' name='LONGINT'/>
          </type>
        </parameter-decl>
        <parameter-decl name='e' id='WriterDesc.WriteI.e' export='no' variable-parameter='no'>
          <type>
            <type-name module='#predef' name='LONGINT'/>
          </type>
        </parameter-decl>
      </formal-parameters>
    </procedure>
    <procedure name='WriteLatin1I' id='WriterDesc.WriteLatin1I' export='yes'>
      <formal-parameters>
        <receiver-decl name='w' id='WriterDesc.WriteLatin1I.w' export='no' variable-parameter='no'>
          <type>
            <type-name name='Writer' href='#Writer'/>
          </type>
        </receiver-decl>
        <parameter-decl name='str' id='WriterDesc.WriteLatin1I.str' export='no' variable-parameter='no'>
          <type>
            <array>
              <element-type>
                <type-name module='#predef' name='CHAR'/>
              </element-type>
            </array>
          </type>
        </parameter-decl>
        <parameter-decl name='s' id='WriterDesc.WriteLatin1I.s' export='no' variable-parameter='no'>
          <type>
            <type-name module='#predef' name='LONGINT'/>
          </type>
        </parameter-decl>
        <parameter-decl name='e' id='WriterDesc.WriteLatin1I.e' export='no' variable-parameter='no'>
          <type>
            <type-name module='#predef' name='LONGINT'/>
          </type>
        </parameter-decl>
      </formal-parameters>
    </procedure>
    <procedure name='Write' id='WriterDesc.Write' export='yes'>
      <formal-parameters>
        <receiver-decl name='w' id='WriterDesc.Write.w' export='no' variable-parameter='no'>
          <type>
            <type-name name='Writer' href='#Writer'/>
          </type>
        </receiver-decl>
        <parameter-decl name='str' id='WriterDesc.Write.str' export='no' variable-parameter='no'>
          <type>
            <array>
              <element-type>
                <type-name module='#predef' name='Char'/>
              </element-type>
            </array>
          </type>
        </parameter-decl>
      </formal-parameters>
    </procedure>
    <procedure name='WriteObject' id='WriterDesc.WriteObject' export='yes'>
      <formal-parameters>
        <receiver-decl name='w' id='WriterDesc.WriteObject.w' export='no' variable-parameter='no'>
          <type>
            <type-name name='Writer' href='#Writer'/>
          </type>
        </receiver-decl>
        <parameter-decl name='obj' id='WriterDesc.WriteObject.obj' export='no' variable-parameter='no'>
          <type>
            <type-name module='Object' name='Object' href='Object#Object'/>
          </type>
        </parameter-decl>
      </formal-parameters>
    </procedure>
    <procedure name='WriteLatin1' id='WriterDesc.WriteLatin1' export='yes'>
      <formal-parameters>
        <receiver-decl name='w' id='WriterDesc.WriteLatin1.w' export='no' variable-parameter='no'>
          <type>
            <type-name name='Writer' href='#Writer'/>
          </type>
        </receiver-decl>
        <parameter-decl name='str' id='WriterDesc.WriteLatin1.str' export='no' variable-parameter='no'>
          <type>
            <array>
              <element-type>
                <type-name module='#predef' name='CHAR'/>
              </element-type>
            </array>
          </type>
        </parameter-decl>
      </formal-parameters>
    </procedure>
    <procedure name='WriteURI' id='WriterDesc.WriteURI' export='yes'>
      <formal-parameters>
        <receiver-decl name='w' id='WriterDesc.WriteURI.w' export='no' variable-parameter='no'>
          <type>
            <type-name name='Writer' href='#Writer'/>
          </type>
        </receiver-decl>
        <parameter-decl name='uri' id='WriterDesc.WriteURI.uri' export='no' variable-parameter='no'>
          <type>
            <type-name module='URI' name='URI' href='URI#URI'/>
          </type>
        </parameter-decl>
        <parameter-decl name='absolute' id='WriterDesc.WriteURI.absolute' export='no' variable-parameter='no'>
          <type>
            <type-name module='#predef' name='BOOLEAN'/>
          </type>
        </parameter-decl>
      </formal-parameters>
    </procedure>
    <procedure name='WriteLInt' id='WriterDesc.WriteLInt' export='yes'>
      <formal-parameters>
        <receiver-decl name='w' id='WriterDesc.WriteLInt.w' export='no' variable-parameter='no'>
          <type>
            <type-name name='Writer' href='#Writer'/>
          </type>
        </receiver-decl>
        <parameter-decl name='value' id='WriterDesc.WriteLInt.value' export='no' variable-parameter='no'>
          <type>
            <type-name module='#predef' name='LONGINT'/>
          </type>
        </parameter-decl>
      </formal-parameters>
    </procedure>
    <procedure name='WriteRealFix' id='WriterDesc.WriteRealFix' export='yes'>
      <formal-parameters>
        <receiver-decl name='w' id='WriterDesc.WriteRealFix.w' export='no' variable-parameter='no'>
          <type>
            <type-name name='Writer' href='#Writer'/>
          </type>
        </receiver-decl>
        <parameter-decl name='real' id='WriterDesc.WriteRealFix.real' export='no' variable-parameter='no'>
          <type>
            <type-name module='#predef' name='REAL'/>
          </type>
        </parameter-decl>
        <parameter-decl name='k' id='WriterDesc.WriteRealFix.k' export='no' variable-parameter='no'>
          <type>
            <type-name module='#predef' name='LONGINT'/>
          </type>
        </parameter-decl>
      </formal-parameters>
    </procedure>
    <procedure name='StartTag' id='WriterDesc.StartTag' export='yes'>
      <formal-parameters>
        <receiver-decl name='w' id='WriterDesc.StartTag.w' export='no' variable-parameter='no'>
          <type>
            <type-name name='Writer' href='#Writer'/>
          </type>
        </receiver-decl>
        <parameter-decl name='name' id='WriterDesc.StartTag.name' export='no' variable-parameter='no'>
          <type>
            <array>
              <element-type>
                <type-name module='#predef' name='Char'/>
              </element-type>
            </array>
          </type>
        </parameter-decl>
        <parameter-decl name='mixedContent' id='WriterDesc.StartTag.mixedContent' export='no' variable-parameter='no'>
          <type>
            <type-name module='#predef' name='BOOLEAN'/>
          </type>
        </parameter-decl>
      </formal-parameters>
    </procedure>
    <procedure name='StartTagLatin1' id='WriterDesc.StartTagLatin1' export='yes'>
      <formal-parameters>
        <receiver-decl name='w' id='WriterDesc.StartTagLatin1.w' export='no' variable-parameter='no'>
          <type>
            <type-name name='Writer' href='#Writer'/>
          </type>
        </receiver-decl>
        <parameter-decl name='name' id='WriterDesc.StartTagLatin1.name' export='no' variable-parameter='no'>
          <type>
            <array>
              <element-type>
                <type-name module='#predef' name='CHAR'/>
              </element-type>
            </array>
          </type>
        </parameter-decl>
        <parameter-decl name='mixedContent' id='WriterDesc.StartTagLatin1.mixedContent' export='no' variable-parameter='no'>
          <type>
            <type-name module='#predef' name='BOOLEAN'/>
          </type>
        </parameter-decl>
      </formal-parameters>
    </procedure>
    <procedure name='EmptyTag' id='WriterDesc.EmptyTag' export='yes'>
      <formal-parameters>
        <receiver-decl name='w' id='WriterDesc.EmptyTag.w' export='no' variable-parameter='no'>
          <type>
            <type-name name='Writer' href='#Writer'/>
          </type>
        </receiver-decl>
        <parameter-decl name='name' id='WriterDesc.EmptyTag.name' export='no' variable-parameter='no'>
          <type>
            <array>
              <element-type>
                <type-name module='#predef' name='Char'/>
              </element-type>
            </array>
          </type>
        </parameter-decl>
      </formal-parameters>
    </procedure>
    <procedure name='EmptyTagLatin1' id='WriterDesc.EmptyTagLatin1' export='yes'>
      <formal-parameters>
        <receiver-decl name='w' id='WriterDesc.EmptyTagLatin1.w' export='no' variable-parameter='no'>
          <type>
            <type-name name='Writer' href='#Writer'/>
          </type>
        </receiver-decl>
        <parameter-decl name='name' id='WriterDesc.EmptyTagLatin1.name' export='no' variable-parameter='no'>
          <type>
            <array>
              <element-type>
                <type-name module='#predef' name='Char'/>
              </element-type>
            </array>
          </type>
        </parameter-decl>
      </formal-parameters>
    </procedure>
    <procedure name='AttrString' id='WriterDesc.AttrString' export='yes'>
      <formal-parameters>
        <receiver-decl name='w' id='WriterDesc.AttrString.w' export='no' variable-parameter='no'>
          <type>
            <type-name name='Writer' href='#Writer'/>
          </type>
        </receiver-decl>
        <parameter-decl name='name' id='WriterDesc.AttrString.name' export='no' variable-parameter='no'>
          <type>
            <array>
              <element-type>
                <type-name module='#predef' name='Char'/>
              </element-type>
            </array>
          </type>
        </parameter-decl>
        <parameter-decl name='value' id='WriterDesc.AttrString.value' export='no' variable-parameter='no'>
          <type>
            <array>
              <element-type>
                <type-name module='#predef' name='Char'/>
              </element-type>
            </array>
          </type>
        </parameter-decl>
      </formal-parameters>
    </procedure>
    <procedure name='AttrStringLatin1' id='WriterDesc.AttrStringLatin1' export='yes'>
      <formal-parameters>
        <receiver-decl name='w' id='WriterDesc.AttrStringLatin1.w' export='no' variable-parameter='no'>
          <type>
            <type-name name='Writer' href='#Writer'/>
          </type>
        </receiver-decl>
        <parameter-decl name='name' id='WriterDesc.AttrStringLatin1.name' export='no' variable-parameter='no'>
          <type>
            <array>
              <element-type>
                <type-name module='#predef' name='Char'/>
              </element-type>
            </array>
          </type>
        </parameter-decl>
        <parameter-decl name='value' id='WriterDesc.AttrStringLatin1.value' export='no' variable-parameter='no'>
          <type>
            <array>
              <element-type>
                <type-name module='#predef' name='CHAR'/>
              </element-type>
            </array>
          </type>
        </parameter-decl>
      </formal-parameters>
    </procedure>
    <procedure name='AttrObject' id='WriterDesc.AttrObject' export='yes'>
      <formal-parameters>
        <receiver-decl name='w' id='WriterDesc.AttrObject.w' export='no' variable-parameter='no'>
          <type>
            <type-name name='Writer' href='#Writer'/>
          </type>
        </receiver-decl>
        <parameter-decl name='name' id='WriterDesc.AttrObject.name' export='no' variable-parameter='no'>
          <type>
            <array>
              <element-type>
                <type-name module='#predef' name='Char'/>
              </element-type>
            </array>
          </type>
        </parameter-decl>
        <parameter-decl name='value' id='WriterDesc.AttrObject.value' export='no' variable-parameter='no'>
          <type>
            <type-name module='Object' name='String' href='Object#String'/>
          </type>
        </parameter-decl>
      </formal-parameters>
    </procedure>
    <procedure name='AttrInt' id='WriterDesc.AttrInt' export='yes'>
      <formal-parameters>
        <receiver-decl name='w' id='WriterDesc.AttrInt.w' export='no' variable-parameter='no'>
          <type>
            <type-name name='Writer' href='#Writer'/>
          </type>
        </receiver-decl>
        <parameter-decl name='name' id='WriterDesc.AttrInt.name' export='no' variable-parameter='no'>
          <type>
            <array>
              <element-type>
                <type-name module='#predef' name='Char'/>
              </element-type>
            </array>
          </type>
        </parameter-decl>
        <parameter-decl name='value' id='WriterDesc.AttrInt.value' export='no' variable-parameter='no'>
          <type>
            <type-name module='#predef' name='LONGINT'/>
          </type>
        </parameter-decl>
      </formal-parameters>
    </procedure>
    <procedure name='AttrBool' id='WriterDesc.AttrBool' export='yes'>
      <formal-parameters>
        <receiver-decl name='w' id='WriterDesc.AttrBool.w' export='no' variable-parameter='no'>
          <type>
            <type-name name='Writer' href='#Writer'/>
          </type>
        </receiver-decl>
        <parameter-decl name='name' id='WriterDesc.AttrBool.name' export='no' variable-parameter='no'>
          <type>
            <array>
              <element-type>
                <type-name module='#predef' name='Char'/>
              </element-type>
            </array>
          </type>
        </parameter-decl>
        <parameter-decl name='value' id='WriterDesc.AttrBool.value' export='no' variable-parameter='no'>
          <type>
            <type-name module='#predef' name='BOOLEAN'/>
          </type>
        </parameter-decl>
      </formal-parameters>
    </procedure>
    <procedure name='AttrURI' id='WriterDesc.AttrURI' export='yes'>
      <formal-parameters>
        <receiver-decl name='w' id='WriterDesc.AttrURI.w' export='no' variable-parameter='no'>
          <type>
            <type-name name='Writer' href='#Writer'/>
          </type>
        </receiver-decl>
        <parameter-decl name='name' id='WriterDesc.AttrURI.name' export='no' variable-parameter='no'>
          <type>
            <array>
              <element-type>
                <type-name module='#predef' name='Char'/>
              </element-type>
            </array>
          </type>
        </parameter-decl>
        <parameter-decl name='uri' id='WriterDesc.AttrURI.uri' export='no' variable-parameter='no'>
          <type>
            <type-name module='URI' name='URI' href='URI#URI'/>
          </type>
        </parameter-decl>
        <parameter-decl name='absolute' id='WriterDesc.AttrURI.absolute' export='no' variable-parameter='no'>
          <type>
            <type-name module='#predef' name='BOOLEAN'/>
          </type>
        </parameter-decl>
      </formal-parameters>
    </procedure>
    <procedure name='EndTag' id='WriterDesc.EndTag' export='yes'>
      <formal-parameters>
        <receiver-decl name='w' id='WriterDesc.EndTag.w' export='no' variable-parameter='no'>
          <type>
            <type-name name='Writer' href='#Writer'/>
          </type>
        </receiver-decl>
      </formal-parameters>
    </procedure>
    <procedure name='EndOfText' id='WriterDesc.EndOfText' export='yes'>
      <oberon-doc>
        <summary>Adds final newline to text and flushes all buffers.</summary>
        <p pad-after='yes' no-indent='yes'>Adds final newline to text and flushes all buffers.</p>
      </oberon-doc>
      <formal-parameters>
        <receiver-decl name='w' id='WriterDesc.EndOfText.w' export='no' variable-parameter='no'>
          <type>
            <type-name name='Writer' href='#Writer'/>
          </type>
        </receiver-decl>
        <exceptions>
          <type-name module='IO' name='Error' href='IO#Error'/>
        </exceptions>
      </formal-parameters>
    </procedure>
    <base-class module='XML:UnicodeBuffer' class='Output' href='XML:UnicodeBuffer#Output'>
      <inherited-method module='XML:UnicodeBuffer' name='Flush' class='Output' href='XML:UnicodeBuffer#OutputDesc.Flush'/>
      <inherited-method module='XML:UnicodeBuffer' name='Write16' class='Output' href='XML:UnicodeBuffer#OutputDesc.Write16'/>
      <inherited-method module='XML:UnicodeBuffer' name='Write16I' class='Output' href='XML:UnicodeBuffer#OutputDesc.Write16I'/>
      <inherited-method module='XML:UnicodeBuffer' name='Write8' class='Output' href='XML:UnicodeBuffer#OutputDesc.Write8'/>
      <inherited-method module='XML:UnicodeBuffer' name='Write8I' class='Output' href='XML:UnicodeBuffer#OutputDesc.Write8I'/>
      <inherited-field module='XML:UnicodeBuffer' name='codec' class='Output' href='XML:UnicodeBuffer#OutputDesc.codec'/>
      <inherited-field module='XML:UnicodeBuffer' name='codecFactory' class='Output' href='XML:UnicodeBuffer#OutputDesc.codecFactory'/>
      <inherited-field module='XML:UnicodeBuffer' name='error' class='Output' href='XML:UnicodeBuffer#OutputDesc.error'/>
      <inherited-field module='XML:UnicodeBuffer' name='writer' class='Output' href='XML:UnicodeBuffer#OutputDesc.writer'/>
    </base-class>
  </class>
  <module-ref name='Object'>
    <ref-target type='html' relative-uri='../Object.html'/>
  </module-ref>
  <module-ref name='XML:UnicodeCodec'>
    <ref-target type='html' relative-uri='UnicodeCodec.html'/>
  </module-ref>
  <module-ref name='XML:UnicodeBuffer'>
    <ref-target type='html' relative-uri='UnicodeBuffer.html'/>
  </module-ref>
  <module-ref name='URI'>
    <ref-target type='html' relative-uri='../URI.html'/>
  </module-ref>
  <module-ref name='IO'>
    <ref-target type='html' relative-uri='../IO.html'/>
  </module-ref>
</interface-description>
